Page MenuHomePhabricator

review ci patchset
Closed, ResolvedPublic

Description

Tracking ticket for the series ending in D6622

This series add the following features for CI builds:

  • ccache
  • autotools cache
  • homebrew cache
  • successful distcheck builds
  • more targets built on osx
  • progress towards 'make check' running on osx
  • successful 'make check' on travis (T7094) with very rare intermittent failure cases (T7158)

Builds:

zmike created this task.Jul 17 2018, 2:34 PM
zmike triaged this task as TODO priority.
zmike added a comment.Jul 22 2018, 5:07 PM

Latest build: https://travis-ci.org/Enlightenment/efl/builds/406870727

Everything is working at this point, so all that remains is to rebase/phab my citest branch again. It should be fine to look over the files there, though the exact commits may change slightly over the next 24h as I do some cleanups.

zmike added a comment.Jul 23 2018, 5:23 AM

Rebased build: https://travis-ci.org/Enlightenment/efl/builds/407109694

Note that distcheck is skipped here because of a bug in D6664.

zmike added a comment.Aug 2 2018, 1:25 PM

https://travis-ci.org/Enlightenment/efl/builds/411443056 is the latest build with D6735 and all other patches.

Travis should now be completely reliable in all cases, barring extremely rare issues with Travis itself.

@stefan_schmidt is there a reason these stopped being merged? Looking through the recent builds, it seems like a large number are failing because they are missing patches from this series...

bu5hm4n closed this task as Resolved.Dec 17 2018, 12:41 AM
bu5hm4n claimed this task.